<?php
/**
 * Template part page content
 *
 * @package Neblue
 */

?>
<article <?php post_class( 'entry' ); ?>>
  
    <?php
    if ( has_post_thumbnail() ) {
    ?>
    <div class="entry-thumbnail">
      <?php the_post_thumbnail();?>
    </div>
    <?php
    }
    ?>

      <div class="entry-header">
        <h1 class="entry-title"><?php the_title(); ?></h1>
      </div>

      <?php do_action( 'vs_page_content_start' ); ?>
      <div class="entry-content">
        <?php
        the_content();
        ?>
      </div>
      <?php do_action( 'vs_page_content_end' ); ?>
      
</article>
