<?php
/**
 * Header Settings
 *
 * @package Neblue
 */

// Add new section
$wp_customize->add_section( 'header_section', array(
  'title'                => esc_html__( 'Header Settings', 'neblue' ),
  'priority'             => 24,
) );

// Hide Header Title Text
$wp_customize->add_setting( 'header_title', array(
  'default'              => false,
  'sanitize_callback'    => 'vs_sanitize_checkbox',
) );
$wp_customize->add_control( 'header_title', array(
  'label'                => esc_html__( 'Hide Header Title Text', 'neblue' ),
  'section'              => 'header_section',
  'type'                 => 'checkbox',
) );
