<?php
/**
 * Page Settings
 *
 * @package Neblue
 */

// Add new section
$wp_customize->add_section( 'page_section', array(
  'title'                => esc_html__( 'Page Settings', 'neblue' ),
  'priority'             => 29,
) );

// Sidebar
$wp_customize->add_setting( 'page_sidebar', array(
  'default'              => 'right',
  'sanitize_callback'    => 'vs_sanitize_sidebar',
) );
$wp_customize->add_control( 'page_sidebar', array(
  'label'                => esc_html__( 'Sidebar', 'neblue' ),
  'section'              => 'page_section',
  'type'                 => 'radio',
  'choices'              => array(
    'right'              => esc_html__( 'Right Sidebar', 'neblue' ),
    'left'               => esc_html__( 'Left Sidebar', 'neblue' ),
    'disabled'           => esc_html__( 'No Sidebar', 'neblue' ),
  ),
) );
